misc_checks:
  extends:
    - .test_template
  # These tests are not flaky at all so we overwrite the retry value
  needs: [trigger]
  retry: 1
  before_script:
    - . ./scripts/version.sh
    # Load the environment poetry previously created in the docker image.
    # Give access to the Python dependencies/executables
    - . $HOME/.venv/bin/activate
  script:
    - ./scripts/ci/take_ownership.sh
    - ./scripts/ci/lint_misc_check.sh
    - scripts/check_wasm_pvm_regressions.sh check

kaitai_checks:
  extends:
    - .test_template
  # These tests are not flaky at all so we overwrite the retry value
  retry: 0
  needs: [trigger]
  needs:
    - "build_x86_64-released"
  before_script:
    - . ./scripts/version.sh
  script:
    - make -C ${CI_PROJECT_DIR} check-kaitai-struct-files
